/* check level of dsmnotes and update password file */
'@echo off'

/* we need to load these for SysFileTree to work */
call RxfuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs


/* pick up the "dsmnotes directory argument" 
 * we will assume that the caller will input one argument
 * The variable "mydir" holds the directory path of the 
 * files dsmnotes.exe, dsmnotes.dll, and dsmnoted.dll
 */ 
arg mydir

/* Build the fully qualified pathname of the dsmnotes
 * files
 *** but suppose dsmnotes.dll is in a different directory from dsmnotes.exe?
 */
if (mydir == "") then
  pathname = dsmnotes.exe
else
  pathname = mydir || "\" || "dsmnotes.exe"

/* but make sure you don't take the new one that we are installing */
say "pathname: "
say pathname

/* Get the date/time of the dsmnotes.exe file */
rc = SysFileTree(pathname,list,T) 

if (rc > 0) then /* memory problem */
   exit 0

say "rc = "
say rc

 say "list.0, list.1 are: "
say list.0
say list.1 

/* Test if the SysFileTree didn't find a file */
if (list.0 == 0) then
  exit 0

/* Extract the year/month/day from the SysFileTree output
 * We will use this date information to determine whether
 * or not to update the dsmnotes.pwd
 */
parse value list.1 with year "/" mo "/" day "/" hr "/" min "/" other

say year
say mo

if (year <96) | ((year == 96) & (mo <06)) then 
do
  say "got exit 1"
  "dsmlnpw2"
end
else
  exit 0 
